Tags
REST reference
Tags API
Conversation tags.
List tags
GET
/v1/tagsLists all workspace tags (unpaginated), ordered by name.
Required scope: conversations:read.
Request
curl "https://api.asks.app/v1/tags" \
-H "Authorization: Bearer $ASKS_API_KEY"Response 200
{
"object": "list",
"data": [
{
"object": "tag",
"id": "string",
"name": "string",
"color": {},
"is_active": true,
"created_at": {}
}
],
"has_more": true,
"next_cursor": {}
}Create a tag
POST
/v1/tagsRequired scope: conversations:write.
Request body
namestringrequiredcolorstringRequest
curl -X POST "https://api.asks.app/v1/tags" \
-H "Authorization: Bearer $ASKS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"color": "string"
}'Response 201
{
"object": "tag",
"id": "string",
"name": "string",
"color": {},
"is_active": true,
"created_at": {}
}Update a tag
PATCH
/v1/tags/{id}Required scope: conversations:write.
Request body
namestringcolorstringnullis_activebooleanRequest
curl -X PATCH "https://api.asks.app/v1/tags/<id>" \
-H "Authorization: Bearer $ASKS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"color": {},
"is_active": true
}'Response 200
{
"object": "tag",
"id": "string",
"name": "string",
"color": {},
"is_active": true,
"created_at": {}
}Delete a tag
DELETE
/v1/tags/{id}Required scope: conversations:write.
Request
curl -X DELETE "https://api.asks.app/v1/tags/<id>" \
-H "Authorization: Bearer $ASKS_API_KEY"Response 200
{
"object": "tag",
"id": "string",
"deleted": true
}